Documents & Reports¶
Endpoints related to documents & reports.
- GET /document/¶
List all documents.
List all documents.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested document cannot be found.
403 Forbidden – You are not authorized to complete the request.
- POST /document/¶
Create a new document.
Create a new document.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested document cannot be found.
403 Forbidden – You are not authorized to complete the request.
- Response Headers:
Location – URI of the created resource
- GET /document/{uuid}/¶
Get an document by UUID.
Get an document by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested document cannot be found.
403 Forbidden – You are not authorized to complete the request.
- PUT /document/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested document cannot be found.
403 Forbidden – You are not authorized to complete the request.
- DELETE /document/{uuid}/¶
Delete an document by UUID.
Delete an document by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested document cannot be found.
403 Forbidden – You are not authorized to complete the request.
- POST /emailreport/¶
- Status Codes:
201 Created – Resource created successfully
- Response Headers:
Location – URI of the created resource
- GET /document/<uuid:document_uuid>/snapshot/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- POST /document/<uuid:document_uuid>/snapshot/¶
- Status Codes:
201 Created – Resource created successfully
- Response Headers:
Location – URI of the created resource
- GET /document/<uuid:document_uuid>/snapshot/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
- PUT /document/<uuid:document_uuid>/snapshot/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
- GET /document-linking/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound
403 Forbidden – You are not authorized to complete the request.
- GET /document-linking/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound
403 Forbidden – You are not authorized to complete the request.
- POST /document/<uuid:source_document_uuid>/replace/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested document cannot be found.
403 Forbidden – You are not authorized to complete the request.
- Response Headers:
Location – URI of the created resource